6.0.0-git
2019-04-23

[#6832] Warn to user while move message to Notepad/Memo
Summary Warn to user while move message to Notepad/Memo
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester david (at) tmv (dot) gov (dot) tw
Created 2008-06-04 (3975 days ago)
Due
Updated 2010-07-14 (3205 days ago)
Assigned 2010-04-05 (3305 days ago)
Resolved 2010-07-07 (3212 days ago)
Milestone
Patch No

History
2010-07-14 00:22:43 Michael Slusarz Comment #9 Reply to this comment
I'm not sure that displaying another page is really extreme overhead 
given that this isn't a constant action like deleting. No problem 
with using a dialog in general, but what about when javascript is 
off? Do we still care about that case?
No - this would be no different than the delete without trash.  We 
don't want a confirm page every time we delete a message.  That is 
simply way too much overhead.

I agree with an intermediate page when it is something that is 
potentially EXTREMELY destructive - i.e. emptying an entire mailbox.   
But not at a message level.

And IIRC, at this point we are assuming that people have javascript 
enabled if using IMP (or any of the standard views of apps).  If not, 
they should be using mimp instead.
2010-07-13 23:08:38 Chuck Hagenbuch Comment #8 Reply to this comment
I'm not sure that displaying another page is really extreme overhead 
given that this isn't a constant action like deleting. No problem with 
using a dialog in general, but what about when javascript is off? Do 
we still care about that case?
2010-07-07 05:24:14 Michael Slusarz Comment #7
State ⇒ Resolved
Reply to this comment
This is best handled with a RedBox dialog display rather than the 
extreme overhead of displaying an additional page, which would become 
quite tedious every time this action is to be performed.  Added to IMP 
5.
2010-04-05 13:20:53 Jan Schneider State ⇒ Assigned
 
2010-04-05 13:20:39 Jan Schneider Deleted Original Message
 
2009-09-28 10:18:22 goncalo (dot) queiros (at) portugalmail (dot) net Comment #5
New Attachment: bug6832[1].diff Download
Reply to this comment
Ok, think it fixed now. I have kept with the middle confirmation 
screen instead of javascript box, because Jan prefers one and you 
prefer another :-) If you guys want, i can change this to javascript ;)


2009-09-28 04:13:12 Michael Slusarz Priority ⇒ 1. Low
 
2009-09-26 22:28:00 goncalo (dot) queiros (at) portugalmail (dot) net Comment #4 Reply to this comment
Tottally forgot about checking if the user is moving to nag or mnome.. 
:-/ Will fix that and the confirmation on message screen also... I did 
this with a confirmation screen and not with a javascript box, because 
Jan told me it would be better to do this way :-)

Will check it monday!
2009-09-25 16:48:28 Michael Slusarz Comment #3
State ⇒ Feedback
Reply to this comment
This patch only deals with the mailbox page, not the message page.   
And this code will show a confirmation screen for every move action.   
That is most definitely not desired - a confirmation screen (or better 
yet, a confirmation javascript dialog box) should only be shown for 
moves to the notepad and/or memo app.
2009-09-25 12:34:47 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
Version ⇒ Git master
 
2009-09-21 18:16:27 goncalo (dot) queiros (at) portugalmail (dot) net Comment #2
New Attachment: bug6832.diff
Reply to this comment
Hope this patch fixes this :)

Had to move some js to top of page and include a inline part, if they 
are not in their correct places, please say so.

Best regards,

Gonçalo Queirós
2008-06-04 09:26:14 Jan Schneider State ⇒ Accepted
Priority ⇒ 3. High
 
2008-06-04 04:56:45 david (at) tmv (dot) gov (dot) tw Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Warn to user while move message to Notepad/Memo
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Warn to user while move message to Notepad/Memo,if message with attachments.

Thus, can prevend attachments lost permanently.

Saved Queries